<?php

namespace routes;

use classes\entra;
use traits\route_t;

class exampleRoute
{
    use route_t;

    public function run(): void
    {
        $this->get('/example', function () {
            global $response;
            $response->success(['message' => 'Hello World!']);
        });

        $this->get('/debug', function () {
            global $response;
            $entra = new entra();
            $GraphClient = $entra->getGraphClient();
            $response->success(['message' => 'Debugging route!']);
        });
    }
}